package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecAttr;

import java.util.List;

/**
 * 服务区用电属性Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-23
 */
public interface ElecAttrMapper {
    /**
     * 查询服务区用电属性
     *
     * @param id 服务区用电属性主键
     * @return 服务区用电属性
     */
    ElecAttr selectElecAttrById(Long id);

    /**
     * 查询服务区用电属性列表
     *
     * @param elecAttr 服务区用电属性
     * @return 服务区用电属性集合
     */
    List<ElecAttr> selectElecAttrList(ElecAttr elecAttr);

    /**
     * 新增服务区用电属性
     *
     * @param elecAttr 服务区用电属性
     * @return 结果
     */
    int insertElecAttr(ElecAttr elecAttr);

    /**
     * 修改服务区用电属性
     *
     * @param elecAttr 服务区用电属性
     * @return 结果
     */
    int updateElecAttr(ElecAttr elecAttr);

    /**
     * 删除服务区用电属性
     *
     * @param id 服务区用电属性主键
     * @return 结果
     */
    int deleteElecAttrById(Long id);

    /**
     * 批量删除服务区用电属性
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteElecAttrByIds(Long[] ids);
}
